
%global meadversion 1.9.3
%global namedversion 1.9.3.redhat-1
%global meadalpha .redhat_1
%global meadrel .1
%global serial 5
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}apache-commons-beanutils}
%{!?scl:%global pkg_name %{name}}

%global toplevel commons-beanutils

%define maven_version 1.9.3.redhat-1

Name:           %{?scl_prefix}apache-commons-beanutils
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Commons BeanUtils
Group:          Development/Java

%if %with mead
Source100: commons-beanutils-1.9.3.redhat-1-scm-sources.zip
Source102: commons-beanutils-1.9.3.redhat-1-javadoc.jar
Source103: commons-beanutils-1.9.3.redhat-1.jar
Source104: commons-beanutils-1.9.3.redhat-1.pom
Source105: commons-beanutils-1.9.3.redhat-1-project-sources.tar.gz
Source106: commons-beanutils-1.9.3.redhat-1-sources.jar
%endif

License:        ASL 2.0
URL:            http://commons.apache.org/beanutils/
%if 0
Requires:       %{?scl_prefix_eap}commons-logging >= 0:1.1.1
%endif
Provides:       %{?scl_prefix}commons-beanutils = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
BeanUtils provides an easy-to-use but flexible wrapper around reflection and

%if %with javadoc
%package javadoc
Summary:        Javadoc for commons-beanutils
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n %{toplevel} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/commons-beanutils-%{namedversion}.jar %{buildroot}%{_javadir}/commons-beanutils-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/commons-beanutils-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/commons-beanutils-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/commons-beanutils-%{namedversion}-sources.jar %{buildroot}%{_javadir}/commons-beanutils-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/commons-beanutils-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/commons-beanutils-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/commons-beanutils-%{namedversion} -x META-INF/\*
%{__ln_s} commons-beanutils-%{namedversion} %{buildroot}%{_javadocdir}/commons-beanutils
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}apache-commons-beanutils
%defattr(0644,root,root,0755)
%doc BUILDING.txt CONTRIBUTING.md LICENSE.txt NOTICE.txt README.md RELEASE-NOTES.txt
%{_javadir}/commons-beanutils-%{namedversion}.jar
%{_javadir}/commons-beanutils.jar
%if %with javadoc
%{_javadir}/commons-beanutils-%{namedversion}-javadoc.jar
%{_javadir}/commons-beanutils-javadoc.jar
%endif
%{_javadir}/commons-beanutils-%{namedversion}-sources.jar
%{_javadir}/commons-beanutils-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/commons-beanutils-%{namedversion}
%{_javadocdir}/commons-beanutils
%endif

%changelog
* Fri Jul 06 2018 Yong Yang <yyang@redhat.com> - 1.9.3-5.redhat_1.1
- Rewrap for 7.2.0

* Tue Feb 07 2017 David Walluck <dwalluck@redhat.com> - 1.9.3-1.redhat_1.1
- fix RPM doc

* Tue Feb 07 2017 Petr Sakar <psakar@redhat.com> - 1.9.3-1.redhat_1.1
- upgrade to 1.9.3.redhat-1

* Mon Aug 15 2016 Fernando Nasser <fnasser@redhat.com> - 1.9.2-2.redhat_2.1
- Upgrade to 1.9.2.redhat-2

* Mon Aug 15 2016 Fernando Nasser <fnasser@redhat.com> - 1.9.2-2.redhat_2.1
- Upgrade to 1.9.2.redhat-2

* Mon Aug 15 2016 Fernando Nasser <fnasser@redhat.com> - 1.9.2-2.redhat_2.1
- Upgrade to 1.9.2.redhat-2

* Wed Jun 24 2015 David Walluck <dwalluck@redhat.com> - 1.9.2-1.redhat_1.1
- fix RPM setup

* Wed Jun 24 2015 David Walluck <dwalluck@redhat.com> - 1.9.2-1.redhat_1.1
- 1.9.2

* Tue Jun 16 2015 David Walluck <dwalluck@redhat.com> - 1.8.3-19.redhat_7.1
- rebuild RPMS

* Mon Jun 15 2015 David Walluck <dwalluck@redhat.com> - 1.8.3-18.redhat_7.1
- add apache prefix to packages

* Mon Jun 15 2015 David Walluck <dwalluck@redhat.com> - 1.8.3-17.redhat_7.1
- add beanutils-core subpackage

* Wed May 13 2015 Fernando Nasser <fnasser@redhat.com> - 1.8.3-16.redhat_7.1
- Re-wrap to include RHEL-6

* Tue May 05 2015 David Walluck <dwalluck@redhat.com> - 1.8.3-15.redhat_7.1
- release

